Kerbal Space Program - Bug #9600

Store/patcher Fails with Certain Characters
04/29/2016 05:30 PM - Sniper296

Status: Moot Start date: 04/29/2016
Severity: Normal % Done: 0%
Assignee:

Category: Application

Target version:

Version: Not Applicable Language: English (US)
Platform: Linux, OSX, Windows Mod Related: No
Expansion:

Description

Sorry for posting this report in the wrong category/project, but there is no "store" project or "patcher" category.
Either the store or the patcher is handling certain characters in passwords improperly.

Having changed my store password to U}bzqYl=(5H&'j'gB*k6~4VK5\YC3pWit(this is no longer my pw), the patcher returns the
following error:
04/29/2016 04:12:34 PM [DEBUG ]: GetFormData () = username=[PRIVATE]%40gmail.com&hash=926dbc833chb
6a9ba7b74e6bl24d2c63e&patchermd5=dabb63f03a841d83fdfa83e8ccl9873b&platform=WindowsPlayer&clientsve
rsion=2.1.1.270&act=get_rsync_token&buildTarget=KSP_win&platID=win&password=%2A6Cl7F1F9E1CA2F0C627
3AFDCE102C0D64DA69E4C&experimental=0

04/29/2016 04:12:35 PM [DEBUG ]: Downloading data from https://kerbalspaceprogram.com/kspstore/d
p/patcher/index.php to memory...

04/29/2016 04:12:35 PM [DEBUG ]: HTTP 200: OK (https://kerbalspaceprogram.com/kspstore/dp/patche
r/index.php)

04/29/2016 04:12:35 PM [DEBUG ]: Content-Length: ?7?? bytes

04/29/2016 04:12:35 PM [DEBUG ]: Received: unverified ERROR:

04/29/2016 04:12:35 PM [ERROR ]: Unable to authenticate with the server: Could not validate your

login info. Please make sure your e-mail and password are correct.

However, changing my store password to thislsADumbPassForDumbSites(this is no longer my pw) lets the get_rsync_token process
work fine.

04/29/2016 05:34:59 PM [DEBUG ]: GetFormData () = username=[PRIVATE]%40gmail.com&hash=3d42a59d23b
1652a8a6f9231ceead’dc&patchermd5=da5b63£03a841d83fdfa83e8ccl9873b&platform=WindowsPlayer&clientsve
rsion=2.1.1.270&act=get_rsync_token&buildTarget=KSP_win&platID=win&password=%2AE29BF8091AD6A44E9C2
109D2FA4FEEF449114400&experimental=0

04/29/2016 05:35:00 PM [DEBRUG ]: Downloading data from https://kerbalspaceprogram.com/kspstore/d
p/patcher/index.php to memory...

04/29/2016 05:35:00 PM [DEBUG ]: HTTP 200: OK (https://kerbalspaceprogram.com/kspstore/dp/patche
r/index.php)

04/29/2016 05:35:00 PM [DEBUG ]: Content-Length: ?7?? bytes

04/29/2016 05:35:00 PM [DEBUG ]: Received: [GUID]

04/29/2016 05:35:00 PM [DEBUG ]: getAuthToken=[GUID]

Based on the password being well hashed in the logs, and decompiling your patcher's StoreSession.login() method and replicating
it's generated url(same parameters, different order), the patcher is not to blame. So the store must be tripping up on certain
characters.

History

#1 - 04/29/2016 06:00 PM - Sniper296

Having just tried my new password with the patcher, | get a crash. So it may indeed be the patcher to blame. Or a separate bug.

Patcher version: 2.1.1.270 (c4c2f8f-production b master)
Password charset:
#2 - 07/17/2016 09:48 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 06/13/2019 11:17 PM - nestor

- Status changed from Needs Clarification to Moot

Squad Patcher 2.1.1.270

: 0S: Windows

: Handing everything over to Qt. Hold onto your butts.
: Crashv?

Patcher is no longer supported for updating the game.

Files

(win)

(c4c2f8f-production b master)

- Apollo I Edition

patcher.log

04/20/2024

04/29/2016

22

Sniper296


http://www.tcpdf.org

